<?php
require_once "Distributions".DIRECTORY_SEPARATOR."TBSW-PHPUtils-1.0".DIRECTORY_SEPARATOR."UtilsAutoload.php";
require_once "Distributions".DIRECTORY_SEPARATOR."TBSW-Blog".DIRECTORY_SEPARATOR."BlogAutoload.php";

$blogEnv = new BlogEnv(TBSWLog::LogLevelDebug);

$publishedDocsPath = $blogEnv->getBlogWebRootPath()."BlogDocuments".DIRECTORY_SEPARATOR;
$unPublishedDocsPath = $blogEnv->getBlogWebRootPath()."BlogDocumentsUnPublished".DIRECTORY_SEPARATOR;

$blogEnv->setPathDocumentsPublished($publishedDocsPath);
$blogEnv->setPathDocumentsUnPublished($unPublishedDocsPath);
$blogEnv->setBlogViewerPage($blogEnv->getBlogWebRootPath(). "siteBlogViewer.php");
$blogEnv->setPDFViewerOption(BlogEnv::ViewPDFInNativeBrowser);
$blogEnv->addDocumentTypes(["txt", "pdf", "html", "rtf"]);
