<?php
require_once "BlogAutoload.php";
$data = $_GET[BlogEnv::BlogArgEnv];
$blogEnv = new BlogEnv($data);

?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=2">
	<title>elFinder 2.1.x source version with PHP connector</title>

	<!-- Section CSS -->
	<!-- jQuery UI (REQUIRED) -->
	<link rel="stylesheet" href="Distributions/elFinder-master/jquery/jquery-ui-1.12.0.css" type="text/css">

	<!-- elfinder css -->
	<link rel="stylesheet" href="Distributions/elFinder-master/css/commands.css"    type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/common.css"      type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/contextmenu.css" type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/cwd.css"         type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/dialog.css"      type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/fonts.css"       type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/navbar.css"      type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/places.css"      type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/quicklook.css"   type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/statusbar.css"   type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/theme.css"       type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/toast.css"       type="text/css">
	<link rel="stylesheet" href="Distributions/elFinder-master/css/toolbar.css"     type="text/css">

	<!-- Section JavaScript -->
	<!-- jQuery and jQuery UI (REQUIRED) -->
	<script src="Distributions/elFinder-master/jquery/jquery-1.12.4.js" type="text/javascript" charset="utf-8"></script>
	<script src="Distributions/elFinder-master/jquery/jquery-ui-1.12.0.js" type="text/javascript" charset="utf-8"></script>

	<!-- elfinder core -->
	<script src="Distributions/elFinder-master/js/elFinder.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.version.js"></script>
	<script src="Distributions/elFinder-master/js/jquery.elfinder.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.mimetypes.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.options.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.options.netmount.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.history.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.command.js"></script>
	<script src="Distributions/elFinder-master/js/elFinder.resources.js"></script>

	<!-- elfinder dialog -->
	<script src="Distributions/elFinder-master/js/jquery.dialogelfinder.js"></script>

	<!-- elfinder default lang -->
	<script src="Distributions/elFinder-master/js/i18n/elfinder.en.js"></script>

	<!-- elfinder ui -->
	<script src="Distributions/elFinder-master/js/ui/button.js"></script>
	<script src="Distributions/elFinder-master/js/ui/contextmenu.js"></script>
	<script src="Distributions/elFinder-master/js/ui/cwd.js"></script>
	<script src="Distributions/elFinder-master/js/ui/dialog.js"></script>
	<script src="Distributions/elFinder-master/js/ui/fullscreenbutton.js"></script>
	<script src="Distributions/elFinder-master/js/ui/navbar.js"></script>
	<script src="Distributions/elFinder-master/js/ui/navdock.js"></script>
	<script src="Distributions/elFinder-master/js/ui/overlay.js"></script>
	<script src="Distributions/elFinder-master/js/ui/panel.js"></script>
	<script src="Distributions/elFinder-master/js/ui/path.js"></script>
	<script src="Distributions/elFinder-master/js/ui/places.js"></script>
	<script src="Distributions/elFinder-master/js/ui/searchbutton.js"></script>
	<script src="Distributions/elFinder-master/js/ui/sortbutton.js"></script>
	<script src="Distributions/elFinder-master/js/ui/stat.js"></script>
	<script src="Distributions/elFinder-master/js/ui/toast.js"></script>
	<script src="Distributions/elFinder-master/js/ui/toolbar.js"></script>
	<script src="Distributions/elFinder-master/js/ui/tree.js"></script>
	<script src="Distributions/elFinder-master/js/ui/uploadButton.js"></script>
	<script src="Distributions/elFinder-master/js/ui/viewbutton.js"></script>
	<script src="Distributions/elFinder-master/js/ui/workzone.js"></script>

	<!-- elfinder commands -->
	<script src="Distributions/elFinder-master/js/commands/archive.js"></script>
	<script src="Distributions/elFinder-master/js/commands/back.js"></script>
	<script src="Distributions/elFinder-master/js/commands/chmod.js"></script>
	<script src="Distributions/elFinder-master/js/commands/colwidth.js"></script>
	<script src="Distributions/elFinder-master/js/commands/copy.js"></script>
	<script src="Distributions/elFinder-master/js/commands/cut.js"></script>
	<script src="Distributions/elFinder-master/js/commands/download.js"></script>
	<script src="Distributions/elFinder-master/js/commands/duplicate.js"></script>
	<script src="Distributions/elFinder-master/js/commands/edit.js"></script>
	<script src="Distributions/elFinder-master/js/commands/empty.js"></script>
	<script src="Distributions/elFinder-master/js/commands/extract.js"></script>
	<script src="Distributions/elFinder-master/js/commands/forward.js"></script>
	<script src="Distributions/elFinder-master/js/commands/fullscreen.js"></script>
	<script src="Distributions/elFinder-master/js/commands/getfile.js"></script>
	<script src="Distributions/elFinder-master/js/commands/help.js"></script>
	<script src="Distributions/elFinder-master/js/commands/hidden.js"></script>
	<script src="Distributions/elFinder-master/js/commands/hide.js"></script>
	<script src="Distributions/elFinder-master/js/commands/home.js"></script>
	<script src="Distributions/elFinder-master/js/commands/info.js"></script>
	<script src="Distributions/elFinder-master/js/commands/mkdir.js"></script>
	<script src="Distributions/elFinder-master/js/commands/mkfile.js"></script>
	<script src="Distributions/elFinder-master/js/commands/netmount.js"></script>
	<script src="Distributions/elFinder-master/js/commands/open.js"></script>
	<script src="Distributions/elFinder-master/js/commands/opendir.js"></script>
	<script src="Distributions/elFinder-master/js/commands/opennew.js"></script>
	<script src="Distributions/elFinder-master/js/commands/paste.js"></script>
	<script src="Distributions/elFinder-master/js/commands/places.js"></script>
	<script src="Distributions/elFinder-master/js/commands/preference.js"></script>
	<script src="Distributions/elFinder-master/js/commands/quicklook.js"></script>
	<script src="Distributions/elFinder-master/js/commands/quicklook.plugins.js"></script>
	<script src="Distributions/elFinder-master/js/commands/reload.js"></script>
	<script src="Distributions/elFinder-master/js/commands/rename.js"></script>
	<script src="Distributions/elFinder-master/js/commands/resize.js"></script>
	<script src="Distributions/elFinder-master/js/commands/restore.js"></script>
	<script src="Distributions/elFinder-master/js/commands/rm.js"></script>
	<script src="Distributions/elFinder-master/js/commands/search.js"></script>
	<script src="Distributions/elFinder-master/js/commands/selectall.js"></script>
	<script src="Distributions/elFinder-master/js/commands/selectinvert.js"></script>
	<script src="Distributions/elFinder-master/js/commands/selectnone.js"></script>
	<script src="Distributions/elFinder-master/js/commands/sort.js"></script>
	<script src="Distributions/elFinder-master/js/commands/undo.js"></script>
	<script src="Distributions/elFinder-master/js/commands/up.js"></script>
	<script src="Distributions/elFinder-master/js/commands/upload.js"></script>
	<script src="Distributions/elFinder-master/js/commands/view.js"></script>

	<!-- elfinder 1.x connector API support (OPTIONAL) -->
	<script src="Distributions/elFinder-master/js/proxy/elFinderSupportVer1.js"></script>

	<!-- Extra contents editors (OPTIONAL) -->
	<script src="Distributions/elFinder-master/js/extras/editors.default.js"></script>

	<!-- GoogleDocs Quicklook plugin for GoogleDrive Volume (OPTIONAL) -->
	<script src="Distributions/elFinder-master/js/extras/quicklook.googledocs.js"></script>

	<!-- elfinder initialization  -->
	<script>
		$(function() {
			$('#elfinder').elfinder(
				// 1st Arg - options
				{
					// Disable CSS auto loading
					cssAutoLoad : false,

					// Base URL to css/*, js/*
					baseUrl : './Distributions/elFinder-master',

					// Connector URL
					url : '<?=$blogEnv->getBlogUrlManagerConnector()?>',

					// Callback when a file is double-clicked
					getFileCallback : function(file) {
						// ...
					},
				},
				
				// 2nd Arg - before boot up function
				function(fm, extraObj) {
					// `init` event callback function
					fm.bind('init', function() {
						// Optional for Japanese decoder "extras/encoding-japanese.min"
						delete fm.options.rawStringDecoder;
						if (fm.lang === 'ja') {
							fm.loadScript(
								[ fm.baseUrl + 'Distributions/elFinder-master/js/extras/encoding-japanese.min.js' ],
								function() {
									if (window.Encoding && Encoding.convert) {
										fm.options.rawStringDecoder = function(s) {
											return Encoding.convert(s,{to:'UNICODE',type:'string'});
										};
									}
								},
								{ loadType: 'tag' }
							);
						}
					});
					
					// Optional for set document.title dynamically.
					var title = document.title;
					fm.bind('open', function() {
						var path = '',
							cwd  = fm.cwd();
						if (cwd) {
							path = fm.path(cwd.hash) || null;
						}
						document.title = path? path + ':' + title : title;
					}).bind('destroy', function() {
						document.title = title;
					});
				}
			);
		});
	</script>
</head>
<body>
	<div id="elfinder"></div>
</body>
</html>
