<?php
spl_autoload_register('TBSWBlogAutoLoader');

function TBSWBlogAutoLoader($className)
{
    $BlogInstallPath =  __DIR__. DIRECTORY_SEPARATOR;
    $file = str_replace('\\',DIRECTORY_SEPARATOR,$className);
    $filepath = $BlogInstallPath . $file . '.php';
    if (file_exists($filepath)){
        error_log("Auto loading TBSW Blog: " . $filepath);
        require_once $filepath;
    }else {
        error_log("Not in TBSW Blog: " . $filepath);
    }
}