<?php
include_once("siteBlogConfig.php");

define ("BlogAdminLoggedIn", "tbswbgAccess");

$admins=array(
        "ADMIN"=>"admin",
        "user"=>"user"
    );

if (session_status() == PHP_SESSION_NONE) {
    session_start();
    $_SESSION[BlogAdminLoggedIn] = false;
}
if(isset($_GET['logout'])){
    $_SESSION[BlogAdminLoggedIn] = false;
}

if (isset($_POST['submit'])) {
    $_SESSION[BlogAdminLoggedIn] = false;
    $user = $_POST['username'];
    $user = strtoupper(trim($user));
    if (array_key_exists($user, $admins)) {
        $pass = $_POST['password'];
        if (strcmp($pass, $admins[$user]) == 0) {
            $_SESSION[BlogAdminLoggedIn] = true;
        }
    }
}

?>

<style>
    #blogManagerIframe{
        width: 100%;
        height: 100vh;
    }
</style>


<!doctype html>
<html>
    <head>
        <title>Example TBSW Blog Manager</title>
        <?=$blogEnv->getHTMLPageHeadViewer(); ?>
    </head>

    <body>
        <header>

        </header>

        <section>
            <div id="contentArea">
                <div id="content">
                    <article id="blogArticle">
                        <?php if (!$_SESSION[BlogAdminLoggedIn]){ ?>
                            <form action='' method='post' autocomplete='off'>
                                <table>
                                    <tr>
                                        <td><label for="username">User Name:</label></td>
                                        <td><input id="username" type="text" name="username" value=""></td>
                                    </tr>
                                    <tr>
                                        <td><label for="password">Password:</label></td>
                                        <td><input id="password" type="password" name="password" value=""></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td><input type="submit" name="submit" value="Login"></td>
                                    </tr>
                                </table>
                            </form>
                        <?php }else{
                            $url = $blogEnv->getBlogUrlMangerInterface();
                            ?>
                            <iframe id="blogManagerIframe" src='<?=$url?>'></iframe>
                        <?php } ?>
                    </article>
                </div>
            </div>
        </section>
        <footer>
        </footer>
    </body>
</html>

