
function blogGetStyle(id, name)
{
    var element = document.getElementById(id);
    return element.currentStyle ? element.currentStyle[name] : window.getComputedStyle ? window.getComputedStyle(element, null).getPropertyValue(name) : null;
}

function blogTocToggle(){
    var page = document.getElementById('blogSection');
    var toc = document.getElementById('blogTocSection');
    var tocStyle = blogGetStyle('blogTocSection','display')
    if (tocStyle === "none") {
        page.style.display = "none";
        toc.style.display = "block";
        blogTocNavigation();
    } else {
        toc.style.display = "none";
        page.style.display = "block";
    }
}

function blogTocNavigation() {
    var tree = document.querySelectorAll('ul.blogTocList a:not(:last-child)');
    for (var i = 0; i < tree.length; i++) {
        tree[i].addEventListener('click', function (e) {
            var parent = e.target.parentElement;
            var classList = parent.classList;
            if (classList.contains("open")) {
                classList.remove('open');
                var opensubs = parent.querySelectorAll(':scope .open');
                for (var i = 0; i < opensubs.length; i++) {
                    opensubs[i].classList.remove('open');
                }
            } else {
                classList.add('open');
            }
        });
    }
}
